# Helios

## Overview
Dell OptiPlex 980 small form factor desktop.

## Specs
* CPU - Intel Core i7-860 @ 2.8GHz
* Memory - 8 GB DDR3
* GPU - AMD FirePro 2460

### Disks
Device | Partitions _(filesystem, usage)_
--- | ---
SanDisk Ultra II | `/dev/sda1` (ext2, NixOS Boot) <br> `/dev/sda2` (ZFS, NixOS Root)

> Note: The BIOS firmware on this machine only supports booting from disks with
> an MBR partition table.

#### ZFS pool layout
```
rpool/
├── local
│   ├── nix
│   └── tmp
├── system
│   ├── root
│   └── var
└── user
    └── home
```

See [Graham Christensen's article](https://grahamc.com/blog/nixos-on-zfs/#datasets) for the motivation behind these datasets.

### Networks
- DHCP on `192.168.0.0/32` subnet.
- Tailscale on `100.64.0.0/10` subnet. FQDN: `helios.mesh.vimium.net`.
